TAU_EVENT(3)

NAME
TAU_EVENT - Triggers a user event

SYNOPSIS

C/C++:

TAU_EVENT(TauUserEvent variable, double value);

Fortran:

TAU_EVENT(integer variable(2), real value);

DESCRIPTION

Triggers an event that was registered with TAU_REGISTER_EVENT.

EXAMPLE

C/C++ :

int user_square(int count) {
  TAU_REGISTER_EVENT(ue1, "UserSquare Event");
  TAU_EVENT(ue1, count * count);
  return 0;
}

Fortran :

integer eventid(2)
save eventid
call TAU_REGISTER_EVENT(eventid, 'Error in Iteration')
call TAU_EVENT(eventid, count)

SEE ALSO

TAU_REGISTER_EVENT(3)